Thank you Sysadmins! Show some love, join a contest, and win $100 USD, you deserve it all. Win $100 USD

Start a new topic
Solved

fdk not found

 Hello,

I've been trying to install the fdk. I've tried various versions. They all give error messages during install about missing our outdated modules.


Once the install is finished the fdk cannot be run. I get the following error message


Command 'fdk' not found, but can be installed with:

sudo apt install plastimatch


Can you offer any suggestions on how to troubleshoot this?


Thanks

Daniel,


Apparently, you're trying to directly install fdk without using npm package manager this way,


bash$ sudo apt install fdk


But, Please make sure you check out this Developer Documentation for install CLI for Freshdesk App Developers.

After you install node v6.10.X, please - (for Unix/Mac)


sudo npm install https://dl.freshdev.io/cli/fdk-4.8.0.tgz -g


Don't hesitate get back if you need any additional help on this. :-) 

I'm having trouble installing the CLI as well and FDK is not found. Here is my terminal output:


sh-3.2# npm install https://dl.freshdev.io/cli/fdk-6.0.1.tgz -g

npm WARN deprecated istanbul@0.4.5: This module is no longer maintained, try this instead:

npm WARN deprecated  npm i nyc

npm WARN deprecated Visit https://istanbul.js.org/integrations for other alternatives.

npm WARN deprecated circular-json@0.3.3: CircularJSON is in maintenance only, flatted is its successor.

/private/var/root/.nvm/versions/node/v10.18.1/bin/fdk -> /private/var/root/.nvm/versions/node/v10.18.1/lib/node_modules/fdk/index.js


> jsonpath@1.0.2 postinstall /private/var/root/.nvm/versions/node/v10.18.1/lib/node_modules/fdk/node_modules/jsonpath

> node lib/aesprim.js > generated/aesprim-browser.js


shell-init: error retrieving current directory: getcwd: cannot access parent directories: Permission denied

sh: generated/aesprim-browser.js: Permission denied

npm WARN ajv-keywords@2.1.1 requires a peer of ajv@^5.0.0 but none is installed. You must install peer dependencies yourself.


npm ERR! code ELIFECYCLE

npm ERR! errno 1

npm ERR! jsonpath@1.0.2 postinstall: `node lib/aesprim.js > generated/aesprim-browser.js`

npm ERR! Exit status 1

npm ERR! 

npm ERR! Failed at the jsonpath@1.0.2 postinstall script.

npm ERR! This is probably not a problem with npm. There is likely additional logging output above.


npm ERR! A complete log of this run can be found in:

npm ERR!  /var/root/.npm/_logs/2020-01-31T16_29_25_467Z-debug.log

sh-3.2# fdk version

sh: fdk: command not found

sh-3.2# 

Hi Willie,


Try running this command:

npm install -g https://dl.freshdev.io/cli/fdk-6.0.1.tgz --allow-root --unsafe-perm=true


Let me know if this worked for you.

Got it working, thanks for the help

On a side note,


We have recently launched forum for Freshworks developer community (https://community.developers.freshworks.com). We encourage all the developers to discuss queries, ambiguities, know-hows, and points of interest with fellow app developers and Freshworks’ engineers on the forum.  We will involve the stakeholders directly on the forum topic to help you get your answers quicker.

Login or Signup to post a comment